Skip to main content
POST
/
v1
/
form_field_placements
/
{form_field_placement_id}
/
conditions
Creates a Form Set Condition
curl --request POST \
  --url https://api.rootly.com/v1/form_field_placements/{form_field_placement_id}/conditions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "form_field_placement_conditions",
    "attributes": {
      "conditioned": "placement",
      "form_field_id": "<string>",
      "comparison": "equal",
      "values": [
        "<string>"
      ],
      "position": 123
    }
  }
}
'
{
  "data": {
    "id": "be0f53c1-6ac7-4602-a7c9-8c454e2e1fb4",
    "type": "form_field_placement_conditions",
    "attributes": {
      "form_field_placement_id": "f2ab75b3-9c5c-4ae8-958d-d77563f89c50",
      "conditioned": "placement",
      "position": 2,
      "form_field_id": "05fb66be-9bff-4950-a6eb-9ee481175a65",
      "comparison": "equal",
      "values": [
        "test"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

form_field_placement_id
string
required

Body

application/vnd.api+json
data
object
required

Response

form_field_placement_condition created

data
object
required